Bug 79398 - RFE adding multilingual-arabic text editor
RFE adding multilingual-arabic text editor
Product: Red Hat Linux
Classification: Retired
Component: distribution (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Havoc Pennington
Brock Organ
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2002-12-11 04:09 EST by Mohamed Eldesoky
Modified: 2007-04-18 12:48 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-12-13 13:58:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Mohamed Eldesoky 2002-12-11 04:09:10 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20021003

Description of problem:
Katoob is a lightweight multi-lingual arabic editor that supports keyboard
emulation for users who fail to configure their locale, and can save in multiple

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.just install this small program.
2.run it

Additional info:
Comment 1 Christian Rose 2002-12-11 14:14:19 EST
I suspect the easiest way to get something like this into the distribution is by
improving what's already in there with the needed features.

Is there some reason something like these features couldn't be added to the
GNOME text editor gedit (http://gedit.sourceforge.net/)? If it was added to
gedit, it would automatically be included in the GNOME desktop environment, and
also to Red Hat Linux I suspect.
Comment 2 Bill Nottingham 2002-12-11 16:40:16 EST
I'd rather integrate all language support into the standard editors, rather than
ship lots of locale-specific editors.
Comment 3 Mohamed Eldesoky 2002-12-12 02:25:37 EST
This is not for locales.  
It enables all users worldwide to use their own languages whenever they want,  
even without configuring the keyboard.  
I wonder what is meant by standard editors ?? 
They haven't been born as standard, and yes, Katoob is now the standard arabic 
text editor. 
I wish if you reconsider your decision.
Comment 4 Christian Rose 2002-12-12 06:16:15 EST
I guess by standard editors is meant those editors that are already included by
default in the desktop environments (like gedit and kedit) and other editors
already included in the distribution (like emacs and vim).

I wouldn't put too much hope in the developer's reconsidering this decision. I
haven't seen any motive on why these features have to be developed in a seperate
editor, and why any of the standard editors couldn't be extended with these
features instead.
The features of this editor are probably very useful, but I don't see why there
should have to be YAE (Yet Another Editor) for it included in the distribution.
I don't think the problem is too few editors, it's rather the opposite. :-)
Comment 5 Mohammed Sameer 2002-12-13 04:59:07 EST
Since i'm proud to be the main developer and one of the contributers to the    
Opensource community, I Just want to clarify some points:
Katoob is not a standard for the Arabic text editors only, But it's planned to
have all the encodings even those not supported by iconv "Iran System for
example", The current development version includes most of the windows & ISO   
encodings, with the ability to switch between them on the fly, In addition to
exporting to the HTML numerical character references.
Yes i know that yudit is supporting many encodings, and that gedit is the
standard for GNOME, But when we started developing katoob, there were no 
gnome2, we wanted something that'll work with a minimal libraries required. and
that was katoob, ONLY gtk2, why should i install GNOME2 to use gedit ? or KDE  
to use kedit ? Yes i can use yudit for example but it has a strange interface
which is unfamiliar to the newbie users. The multiple keymaps support is
planned for the next stable release "or the the one after" but modifying
current text editors like gedit is not that easy, the developers always have
ideas about their applications which they don't want to change.

> I haven't seen any motive on why these features 
> have to be developed in a seperate editor
The same here, How many IRC or ICQ clients we have ?
why do we have: Gtk, Qt, FLTK, ......... ?

Maybe you can't see the points i'm talking about, but really it's important.
Comment 6 Bill Nottingham 2002-12-13 11:53:01 EST
> How many IRC or ICQ clients we have ?

Too many. :)

Assigning to the desktop people, they can investigate desktop editors.
Comment 7 Havoc Pennington 2002-12-13 13:58:28 EST
I'm not willing to add another editor. It sounds like Katoob has some useful 
and important features, but those need to be integrated into an existing editor, 
or an existing editor has to be replaced with Katoob instead. This is best 
done on the gnome.org level.

Mohammed, here is the situation - we need to have one or a limited number of
applications in a given category. Often we have:
 - application A with features X and Y
 - application B with features Y and Z
what we want to have is:
 - application C with features X, Y, and Z

Ideally we could work with gnome.org so that they ship a single editor 
with all the needed features. The mailing list to contact is
desktop-devel-list@gnome.org. Perhaps we should drop gedit in favor of Katoob,
or merge them somehow.

A GNOME editor does not have to require all of GNOME, just the libraries
that are important for an editor. It still works under KDE.

I hope this can be coordinated and sorted out.

Note You need to log in before you can comment on or make changes to this bug.